//    scalar pUrf = mesh.fieldRelaxationFactor("p_rgh");
    scalar pUrf = mesh.fieldRelaxationFactor("pUrf");
//    pUrf = min(scalar(0.5), pUrf);

    surfaceScalarField oldFaceFluxCorrection = p_rghFaceFluxCorrection;

    p_rghFaceFluxCorrection = *(p_rghEqn.faceFluxCorrectionPtr());

    surfaceScalarField relaxedFaceFluxCorrection 
    ( 
        oldFaceFluxCorrection 
          + pUrf*(p_rghFaceFluxCorrection - oldFaceFluxCorrection)
    );

    p_rghEqn.source() += mesh.V()
        *fvc::div
        (
            p_rghFaceFluxCorrection - relaxedFaceFluxCorrection
        )().internalField();

    *(p_rghEqn.faceFluxCorrectionPtr()) = relaxedFaceFluxCorrection;
